Bullet Collision Detection & Physics Library: btConvexHullComputer.cpp File Reference

Bullet Collision Detection & Physics Library

Classes | Typedefs | Functions
btConvexHullComputer.cpp File Reference
`#include <string.h>`
`#include "btConvexHullComputer.h"`
`#include "btAlignedObjectArray.h"`
`#include "btMinMax.h"`
`#include "btVector3.h"`
Include dependency graph for btConvexHullComputer.cpp:

Go to the source code of this file.

## Classes
class | btConvexHullInternal
class | btConvexHullInternal::Point64
class | btConvexHullInternal::Point32
class | btConvexHullInternal::Int128
class | btConvexHullInternal::Rational64
class | btConvexHullInternal::Rational128
class | btConvexHullInternal::PointR128
class | btConvexHullInternal::Vertex
class | btConvexHullInternal::Edge
class | btConvexHullInternal::Face
class | btConvexHullInternal::DMul< UWord, UHWord >
class | btConvexHullInternal::IntermediateHull
class | btConvexHullInternal::PoolArray< T >
class | btConvexHullInternal::Pool< T >
class | pointCmp

## Typedefs
typedef int | int32_t
typedef long long int | int64_t
typedef unsigned int | uint32_t
typedef unsigned long long int | uint64_t

## Functions
static int | getVertexCopy (btConvexHullInternal::Vertex *vertex, btAlignedObjectArray< btConvexHullInternal::Vertex *> &vertices)

## Typedef Documentation

## ◆ int32_t

typedef int int32_t

Definition at line 30 of file btConvexHullComputer.cpp.

## ◆ int64_t

typedef long long int int64_t

Definition at line 31 of file btConvexHullComputer.cpp.

## ◆ uint32_t

typedef unsigned int uint32_t

Definition at line 32 of file btConvexHullComputer.cpp.

## ◆ uint64_t

typedef unsigned long long int uint64_t

Definition at line 33 of file btConvexHullComputer.cpp.

## Function Documentation

## ◆ getVertexCopy()

static int getVertexCopy | ( | btConvexHullInternal::Vertex * | vertex,
|  | btAlignedObjectArray< btConvexHullInternal::Vertex *> & | vertices
| ) |  |
| static

Definition at line 2643 of file btConvexHullComputer.cpp.